> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.2/wisej.web/buttons/wisej.web.radiobutton.md).

# RadioButton

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.2.0.0)

* [Control](/api/v3.2/wisej.web/general/control.md)
  * [ButtonBase](/api/v3.2/wisej.web/buttons/wisej.web.buttonbase.md)
    * [RadioButton](/api/v3.2/wisej.web/buttons/wisej.web.radiobutton.md)

Enables the user to select a single option from a group of choices when paired with other [RadioButton](/api/v3.2/wisej.web/buttons/wisej.web.radiobutton.md) controls.

{% tabs %}
{% tab title="C#" %}

```csharp
public class RadioButton : ButtonBase, IReadOnly, IValidation
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class RadioButton
    Inherits ButtonBase
    Implements IReadOnly, IValidation
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/k9JaCemfGSiwecs59re6)RadioButton()

Initializes a new instance of the [RadioButton](/api/v3.2/wisej.web/buttons/wisej.web.radiobutton.md) class.

## Properties

### ![](/files/k9JaCemfGSiwecs59re6)Appearance

[Appearance](/api/v3.2/wisej.web/enumerations/wisej.web.appearance.md): Returns or sets the value that determines the appearance of a [CheckBox](/api/v3.2/wisej.web/buttons/wisej.web.checkbox.md) control. (Default: `Normal`)

### ![](/files/k9JaCemfGSiwecs59re6)AutoCheck

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or set a value indicating whether the [Checked](/api/v3.2/wisej.web/buttons/wisej.web.checkbox.md#checked) or [CheckState](/api/v3.2/wisej.web/buttons/wisej.web.checkbox.md#checkstate) values and the [CheckBox](/api/v3.2/wisej.web/buttons/wisej.web.checkbox.md)'s appearance are automatically changed when the [CheckBox](/api/v3.2/wisej.web/buttons/wisej.web.checkbox.md) is clicked. (Default: `True`)

### ![](/files/k9JaCemfGSiwecs59re6)AutoSize

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets a value that indicates whether the control resizes based on its contents. (Default: `True`)

### ![](/files/k9JaCemfGSiwecs59re6)CheckAlign

[ContentAlignment](https://docs.microsoft.com/dotnet/api/system.drawing.contentalignment): Returns or sets the horizontal and vertical alignment of the check mark on a [CheckBox](/api/v3.2/wisej.web/buttons/wisej.web.checkbox.md) control. (Default: `MiddleLeft`)

### ![](/files/k9JaCemfGSiwecs59re6)Checked

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets whether the control is checked. (Default: `False`)

### ![](/files/k9JaCemfGSiwecs59re6)CheckedForeColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the text color used when the [RadioButton](/api/v3.2/wisej.web/buttons/wisej.web.radiobutton.md) is checked. (Default: `Color [Empty]`)

### ![](/files/k9JaCemfGSiwecs59re6)Invalid

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets a value that indicates that the control is invalid.

### ![](/files/k9JaCemfGSiwecs59re6)InvalidMessage

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the invalid message that is shown in the invalid tooltip. (Default: `""`)

### ![](/files/k9JaCemfGSiwecs59re6)ReadOnly

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the control is read-only. (Default: `False`)

### ![](/files/k9JaCemfGSiwecs59re6)TabStop

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the user can give the focus to this control using the TAB key and the [Focusable](/api/v3.2/wisej.web/general/control.md#focusable) property is set to true. (Default: `False`)

### ![](/files/k9JaCemfGSiwecs59re6)TextAlign

[ContentAlignment](https://docs.microsoft.com/dotnet/api/system.drawing.contentalignment): Returns or sets the alignment of the text on the [CheckBox](/api/v3.2/wisej.web/buttons/wisej.web.checkbox.md) control. (Default: `MiddleLeft`)

## Methods

### ![](/files/k9JaCemfGSiwecs59re6)PerformClick()

Generates a [Click](/api/v3.2/wisej.web/general/control.md#click) event for a [RadioButton](/api/v3.2/wisej.web/buttons/wisej.web.radiobutton.md).

## Events

### ![](/files/k9JaCemfGSiwecs59re6)AppearanceChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the value of the [Appearance](/api/v3.2/wisej.web/buttons/wisej.web.checkbox.md#appearance) property changes.

### ![](/files/k9JaCemfGSiwecs59re6)CheckedChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the value of the [Checked](/api/v3.2/wisej.web/buttons/wisej.web.checkbox.md#checked) property changes.

### ![](/files/k9JaCemfGSiwecs59re6)ReadOnlyChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the value of the [ReadOnly](#readonly) property has changed.

## Implements

| Name                                                                                   | Description                                                                                                                                               |
| -------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.2/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                                                             |
| [ICommandSource](/api/v3.2/wisej.web/interfaces/wisej.web.icommandsource.md)           | Defines an object that can invoke a [Command](/api/v3.2/wisej.web/interfaces/wisej.web.icommandsource.md#command).                                        |
| [IDropTarget](/api/v3.2/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                                                    |
| [IImage](/api/v3.2/wisej.web/interfaces/wisej.web.iimage.md)                           | Provides access to common image properties across the controls that implement this interface.                                                             |
| [IReadOnly](/api/v3.2/wisej.web/interfaces/wisej.web.ireadonly.md)                     | Provides access to the [ReadOnly](/api/v3.2/wisej.web/interfaces/wisej.web.ireadonly.md#readonly) property for coontrols that support the read-only mode. |
| [IValidation](/api/v3.2/wisej.web/interfaces/wisej.web.ivalidation.md)                 | Provides access to the validation events and properties property for controls that support validation.                                                    |
| [IWisejComponent](/api/v3.2/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                                                            |
| [IWisejControl](/api/v3.2/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.2/wisej.web/general/control.md) class must implement this interface.                                |
| [IWisejSerializable](/api/v3.2/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.2/wisej.web/buttons/wisej.web.radiobutton.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
